Subject: Re: Collision Detection
From: [email-masked] (Larry Shultz)
To: [email-masked]
Date: Sun, 24 Mar 1996 15:25:50 -0800

>>      Perhaps I can suggest a workaround, to hold you off untill these types

>> of things are implemented.. Of the top of my head, try something like this..

>> 
>>      Load your landscape into modeler, Create a plane, or series of plains,

>> which are verticle, and intersect with your landscape in the direction(s) of

>> your walking animation. Booleen subtract the landscape from the plain,
>> leaving just the plane, with the path your object will travel in the bottom

>> of the plane.
>>     Now, remove the polygon leaving just the points. Next, link up the points
>
>> as a series of 2 point polygons (lines).
>>     Next, remove the polygon, leaving only the points. Select the points in

>> the direction of the walk path, and create a spline. Run the path2motion
>> plugin (or arexx macro) on it. Save out your motion.
>>     Go into layout, parent your walking man to a null object, and load the
>> motion you saved in modeler into your null object. You'll probrobly have to

>> scale the motion so he moves at the correct speed across the landscape. Then,
>
>> change all the spline tentions to linear.
>>     Next, parent that null to a new null object, call it man_ajust or
>> something. Then go to each keyframe, and ajust the mans rotation so he walks

>> up or down the landscape corectly. You may have to tweak some in-between
>> frames, but basicaly you man will walk across the landscape and not slip
>> though it, or float above it..

Another way would be to create your landscape mesh, then from above, select points directly on the 
mesh where you want your character to walk. COPY these points into a new layer, select them again in the
correct order, hit ctrl p to convert to a spline curve and them convert this spline to a path. I think
that should work as well.
Larry Shultz